> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/react-native/standalone-modules/face-authenticator/release-notes.md).

# Release Notes

## February 09th, 2026

### `@caf.io/react-native-face-authenticator@3.2.1`

{% hint style="warning" %}
Versions earlier than 3.2.1 will result iProov Liveness to become inoperable as of March 12, 2026. To ensure proper functionality and service continuity, please use version 3.2.1 or later.
{% endhint %}

#### Update

**Android**

* Dependency update: Updated iProov version from 9.1.2 to 11.1.0 in Android.

**iOS**

* Dependency update: Updated iProov version from 12.2.1 to 13.1.0 in iOS.

## May 09th, 2025

### `@caf.io/react-native-face-authenticator@3.0.1`

#### Fixes

**Android**

* Fixed crash when network is not working.

***

## April 25th, 2025

### `@caf.io/react-native-face-authenticator@3.0.0`

#### Breaking Changes

**Android**

* Updated minimum sdk from 21 to 26
* Updated Kotlin version from 1.7.0 to 1.9.10.

#### Highlights

**Android**

* Analytics Improvement

**iOS**

* Analytics Improvement

***

## December 09th, 2024

### `@caf.io/react-native-face-authenticator@2.0.2`

#### Highlights

**iOS**

* Reverse Proxy
* Analytics Improvement

***

## November 26th, 2024

### `@caf.io/react-native-face-authenticator@2.0.1`

#### Highlights

**Android**

* Resolved a development warning related to `nativeEventEmitter`.

***

## October 28th, 2024

### `@caf.io/react-native-face-authenticator@2.0.0`

#### Breaking changes

* Minimun React Native Version 0.73
* Updated type `FaceAuthenticatorOptions` to `FaceAuthenticatorSettings`
* Updated enum `ServerReason` to `ServerException`
* Updated enum `NetworkReason` to `NetworkException`
* Updated enum `UnknownReason` to `UnknownException`
* Removed `statusCode` from `FaceAuthenticatorError`
* Removed enum `UnexpectedReason` from `Error`

**Android**

* Updated compile and taget SDK from 33 to 34.

**iOS**

* Updated minimum deployment target from 12.0 to 13.0

#### Features

* Added enum `TokenException` to `Error`
* Added enum `UnsupportedDevice` to `Error`

***

### `@caf.io/react-native-face-authentication@1.3.0`

#### Enhancements

**Android**

*FaceAuthentication Update*: we have updated FaceLiveness from v1.7.2 to [v2.0.0](https://github.com/combateafraude/public-docs/blob/docs-sdks/react-native/android/release-notes.md#faceauth-200), improving security, user identification, performance and realiability of our facial authentication features.

**Breaking changes**

Due to the new version of FaceLiveness having integration with the FingerPrintJS Pro SDK, it will be necessary to fill out the [Data Safety Requirements for Google Play](https://dev.fingerprint.com/docs/native-android-integration?_gl=1*1kv4405*_ga*OTE0NjAxODE0LjE3MTExMTI1MjM.*_ga_XVKDT0L5WV*MTcxMTU0NzM5OC4zLjEuMTcxMTU0NzQxMi40Ni4wLjE1MDY4MDAxMjg.#data-safety-requirements-for-google-play).

**iOS**

*FaceAuthentication Update*: we have updated FaceLiveness from v3.1.13 to [v4.0.1](https://github.com/combateafraude/public-docs/blob/docs-sdks/react-native/ios/release-notes.md#faceauth-401), improving security, user identification, performance and realiability of our facial authentication features.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/react-native/standalone-modules/face-authenticator/release-notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
